
function requestLatestVersion(url, versionHandler, errorHandler)
{
    var xmlhttp = new XMLHttpRequest();
    
    xmlhttp.open('GET', url, true);
    xmlhttp.send();

    xmlhttp.onreadystatechange = function() 
    {	
        if (xmlhttp.readyState == 4) 
        {
            if (xmlhttp.status == 200) 
            {
                var xmlDoc = new ActiveXObject("Msxml2.DOMDocument.3.0");
                xmlDoc.async = false;
                xmlDoc.loadXML(xmlhttp.responseText);
                
                //var xmlDoc = xmlhttp.responseXML;

                if (xmlDoc.parseError.errorCode != 0) 
                {
                    // do error reporting;
                    if (errorHandler != null)
                    {	
                        errorHandler("XML error on version check.");
                    }	   
                } 
                else 
                {	
                    versionResponseHandler(xmlDoc, versionHandler);
                }
            }
            else
            {
                errorHandler("Connection error on version check.");
            }
        }
    }
}

function versionResponseHandler(xmlDoc, versionHandler)
{
    /*
    var major = 0;
    var minor = 0;
    var update = 0;
    */
    var v = 0.0;
    try {
        
        var version_string = xmlDoc.documentElement.selectSingleNode("version").text;
        /*
        version_string.match(/(\d+)\.(\d+)\.(\d+)\.(\d+)/);
        major = parseInt(RegExp.$1);
        minor = parseInt(RegExp.$2);
        update = parseInt(RegExp.$3);
        */
        v = parseFloat(version_string);
        alert (v);

    }  catch (e) {
       // alert("An exception occurred in the script. Error name: " + e.name + ". Error message: " + e.message);
        // nil
    }

    if (versionHandler != null)
    {
        versionHandler(v);
    }
}

